#ifndef ERROR_CODES_H
#define ERROR_CODES_H

	enum ErrorCategory {
		ERROR_CATEGORY_NONE = 0,
		ERROR_CATEGORY_CMN_MSG = 199,
		ERROR_CATEGORY_FP = 101,
		ERROR_CATEGORY_ACT = 102,
		ERROR_CATEGORY_AC = 103,
		ERROR_CATEGORY_FS = 150,
		ERROR_CATEGORY_KPAD = 151,
		ERROR_CATEGORY_WPAD = 152,
		ERROR_CATEGORY_SAVE = 155,
		ERROR_CATEGORY_UDS = 156,
		ERROR_CATEGORY_ACP = 157,
		ERROR_CATEGORY_SSI = 158,
		ERROR_CATEGORY_VPAD = 165,
		ERROR_CATEGORY_WEBKIT = 117,
		ERROR_CATEGORY_OLV = 115,
		ERROR_CATEGORY_NEX = 106,
		ERROR_CATEGORY_MEDIA = 121,	// Media Error Codes are not predefined, but actually set dynamically based on the plugins installed.
		ERROR_CATEGORY_ECOMMERCE = 124,
		ERROR_CATEGORY_ECOMMERCE_APPLET = 123,
		ERROR_CATEGORY_ESHOP_REST = 109
	};

	/**
	When system errors are reported they declare a type.
	The error will be handled differently depending on its type.
	*/
	enum ErrorCode {
		UNKNOWN = 0,
		ERROR_CODE_WPAD_ERR_NO_CONTROLLER = 1520100,
		ERROR_CODE_WPAD_ERR_BUSY = 1520101,
		ERROR_CODE_WPAD_ERR_TRANSFER = 1520102,
		ERROR_CODE_WPAD_ERR_INVALID = 1520103,
		ERROR_CODE_WPAD_ERR_NOPERM = 1520104,
		ERROR_CODE_WPAD_ERR_BROKEN = 1520105,
		ERROR_CODE_WPAD_ERR_CORRUPTED = 1520106,
		ERROR_CODE_KPAD_READ_ERR_NO_DATA = 1510100,
		ERROR_CODE_KPAD_READ_ERR_NO_CONTROLLER = 1510101,
		ERROR_CODE_KPAD_READ_ERR_SETUP = 1510102,
		ERROR_CODE_KPAD_READ_ERR_LOCKED = 1510103,
		ERROR_CODE_KPAD_READ_ERR_INIT = 1510104,
		ERROR_CODE_KPAD_WBC_ERR_NO_BATTERY = 1510201,
		ERROR_CODE_KPAD_WBC_ERR_SETUP = 1510202,
		ERROR_CODE_KPAD_WBC_ERR_WRONG_ZERO = 1510203,
		ERROR_CODE_KPAD_WBC_ERR_WEIGHT_OVER = 1510204,
		ERROR_CODE_KPAD_WBC_ERR_CALIBRATION = 1510205,
		ERROR_CODE_KPAD_WBC_ERR_NO_ZEROPOINT = 1510206,
		ERROR_CODE_FS_VOLSTATE_INITIAL = 1501000,
		ERROR_CODE_FS_VOLSTATE_NO_MEDIA = 1501011,
		ERROR_CODE_FS_STATUS_MEDIA_NOT_READY = 1501014,
		ERROR_CODE_FS_VOLSTATE_INVALID_MEDIA = 1501021,
		ERROR_CODE_FS_STATUS_INVALID_MEDIA = 1501024,
		ERROR_CODE_FS_VOLSTATE_DIRTY_MEDIA = 1501031,
		ERROR_CODE_FS_VOLSTATE_MEDIA_ERROR = 1501042,
		ERROR_CODE_FS_STATUS_MEDIA_ERROR = 1501044,
		ERROR_CODE_FS_VOLSTATE_DATA_CORRUPTED = 1501051,
		ERROR_CODE_FS_STATUS_DATA_CORRUPTED = 1501054,
		ERROR_CODE_FS_VOLSTATE_WRITE_PROTECTED = 1501063,
		ERROR_CODE_FS_STATUS_WRITE_PROTECTED = 1501064,
		ERROR_CODE_FS_VOLSTATE_WRONG_MEDIA = 1501071,
		ERROR_CODE_FS_VOLSTATE_JOURNAL_FULL = 1501082,
		ERROR_CODE_FS_STATUS_FATAL_ERROR = 1501090,
		ERROR_CODE_CMN_MSG_FATAL = 1999999,
		ERROR_CODE_CMN_MSG_JUMP_SETTING_TOP = 1990010,
		ERROR_CODE_CMN_MSG_JUMP_SETTING_INTERNET = 1990011,
		ERROR_CODE_CMN_MSG_JUMP_SETTING_DATA_MANAGE = 1990012,
		ERROR_CODE_CMN_MSG_JUMP_SETTING_DATE_TIME = 1990014,
		ERROR_CODE_CMN_MSG_JUMP_SETTING_COUNTRY = 1990015,
		ERROR_CODE_CMN_MSG_JUMP_SETTING_UPDATE = 1990016,
		ERROR_CODE_CMN_MSG_JUMP_ACCOUNT_SETTING = 1990020,
		ERROR_CODE_CMN_MSG_JUMP_ACCOUNT_SETTING_2 = 1990021,
		ERROR_CODE_CMN_MSG_JUMP_APP_REBOOT = 1990030,
		ERROR_CODE_CMN_MSG_REREASE_PARENTAL_CONTROLL = 1990040,
		ERROR_CODE_CMN_MSG_NGWORD_NOT_ACCEPTABLE = 1990101,
		ERROR_CODE_CMN_MSG_NGWORD_ACCEPTABLE = 1990102,
		ERROR_CODE_CMN_MSG_TEXT_OVER_LIMIT = 1990105,
		ERROR_CODE_CMN_MSG_TEXT_NO_INPUT = 1990106,
		ERROR_CODE_CMN_MSG_NUMBER_NOT_ACCEPTABLE = 1990110,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_1 = 1990111,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_2 = 1990112,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_3 = 1990113,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_4 = 1990114,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_5 = 1990115,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_6 = 1990116,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_7 = 1990117,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_8 = 1990118,
		ERROR_CODE_CMN_MSG_NUMBER_OVER_LIMIT_9 = 1990119,
		ERROR_CODE_CMN_MSG_NOT_MATCH_PASSWORD = 1990120,
		ERROR_CODE_CMN_MSG_NOT_MATCH_EMAIL = 1990121,
		ERROR_CODE_CMN_MSG_WORNG_PASSWORD = 1990131,
		ERROR_CODE_CMN_MSG_WORNG_PIN_CODE = 1990132,
		ERROR_CODE_CMN_MSG_WORNG_FRIEND_CODE = 1990133,
		ERROR_CODE_CMN_MSG_WORNG_NNID = 1990134,
		ERROR_CODE_CMN_MSG_WORNG_INPUT = 1990135,
		ERROR_CODE_CMN_MSG_WIIEMAIL_NOT_ACCEPTABLE = 1990136,
		ERROR_CODE_CMN_MSG_FORGET_PIN_CODE = 1990140,
		ERROR_CODE_CMN_MSG_SWKBD_FATAL = 1990199,
		ERROR_CODE_CMN_MSG_NEED_WII_REMOTE = 1990200,
		ERROR_CODE_CMN_MSG_NEED_WII_NUNCHAK = 1990201,
		ERROR_CODE_CMN_MSG_NEED_WII_REMOTE_PLUS = 1990202,
		ERROR_CODE_CMN_MSG_NEED_WII_U_PRO_CONTROLLER = 1990203,
		ERROR_CODE_CMN_MSG_NEED_WII_BALANCE_BOARD = 1990204,
		ERROR_CODE_CMN_MSG_NEED_WII_CLASSIC_CONTROLLER = 1990205,
		ERROR_CODE_CMN_MSG_NEED_WII_U_GAMEPAD = 1990210,
		ERROR_CODE_CMN_MSG_WII_REMOTE__NO_BATTERY = 1990301,
		ERROR_CODE_CMN_MSG_WII_U_GAMEPAD_NO_BATTERY = 1990302,
		ERROR_CODE_CMN_MSG_WII_U_PRO_CONTROLLER_NO_BATTERY = 1990303,
		ERROR_CODE_CMN_MSG_WII_BALANCE_BOARD_NO_BATTERY = 1990304,
		ERROR_CODE_CMN_MSG_MII_ALREADY_SAVED = 1990401,
		ERROR_CODE_CMN_MSG_MII_CANT_SAVE = 1990402,
		ERROR_CODE_CMN_MSG_MII_OVER_WRITE_CONFIRM = 1990403,
		ERROR_CODE_CMN_MSG_MII_NO_SPACE = 1990404,
		ERROR_CODE_CMN_MSG_FUNCTION_PROTECTED = 1990501,
		ERROR_CODE_CMN_MSG_NETWORK_FUNCTION_PROTECTED = 1990502,
		ERROR_CODE_CMN_MSG_INTERNET_BROWSER_PROTECTED = 1990503,
		ERROR_CODE_CMN_MSG_PROTECTION_RELEASED = 1990510,
		ERROR_CODE_SAVE_STATUS_STORAGE_FULL = 1550100,
		ERROR_CODE_FS_STATUS_NOT_FOUND = 1550101,
		ERROR_CODE_FS_STATUS_JOURNAL_FULL = 1550102,
		ERROR_CODE_ACP_STATUS_DEVICE_FULL = 1550200,
		ERROR_CODE_ACP_STATUS_UNSUPPORTED = 1550201,
		ERROR_CODE_ACP_STATUS_DEVICE_NOT_FOUND = 1550202,
		ERROR_CODE_ACP_STATUS_ACCOUNT_ERROR = 1550203,
		ERROR_CODE_ACP_STATUS_RESOURCE_ERROR = 1550204,
		ERROR_CODE_ACP_STATUS_MEDIA_NOTREADY = 1550205,
		ERROR_CODE_ACP_STATUS_TITLE_NOT_FOUND = 1550206,
		ERROR_CODE_ACP_STATUS_DIR_NOT_FOUND = 1550207,
		ERROR_CODE_ACP_STATUS_FILE_NOT_FOUND = 1550208,
		ERROR_CODE_ACP_STATUS_INVALID_XML_FILE = 1550209,
		ERROR_CODE_ACP_STATUS_XML_ITEM_NOT_FOUND = 1550210,
		ERROR_CODE_ACP_STATUS_PERMISSION_ERROR = 1550211,
		ERROR_CODE_ACP_STATUS_SYSTEM_MEMORY = 1550212,
		ERROR_CODE_ACP_STATUS_INVALID_PARAM = 1570100,
		ERROR_CODE_ACP_STATUS_NOT_FOUND = 1570101,
		ERROR_CODE_ACP_STATUS_INVALID_LOGO = 1570103,
		ERROR_CODE_ACP_STATUS_INVALID_REGION = 1570104,
		ERROR_CODE_ACP_STATUS_RESTRICTED_RATING  = 1570105,
		ERROR_CODE_ACP_STATUS_NOTPRESENT_RATING = 1570106,
		ERROR_CODE_ACP_STATUS_PENDING_RATING = 1570107,
		ERROR_CODE_ACP_STATUS_BROWSER_REQUIRED = 1570108,
		ERROR_CODE_ACP_STATUS_OLV_REQUIRED = 1570109,
		ERROR_CODE_ACP_STATUS_NETSETTING_REQUIRED = 1570111,
		ERROR_CODE_ACP_STATUS_NETACCOUNT_REQUIRED = 1570112,
		ERROR_CODE_ACP_STATUS_NETACCOUNT_ERROR = 1570113,
		ERROR_CODE_ACP_STATUS_INCORRECT_PINCODE = 1570114,
		ERROR_CODE_ACP_STATUS_GAMEPAD_REQUIRED = 1570115,
		ERROR_CODE_VPAD_READ_ERR_NO_CONTROLLER = 1650101,
		ERROR_CODE_CORE_UNKNOWN = 1010102,
		ERROR_CODE_CORE_NOT_IMPLEMENTED = 1010103,
		ERROR_CODE_CORE_INVALID_POINTER = 1010104,
		ERROR_CODE_CORE_OPERATION_ABORTED = 1010105,
		ERROR_CODE_CORE_EXCEPTION = 1010106,
		ERROR_CODE_CORE_ACCESS_DENIED = 1010107,
		ERROR_CODE_CORE_INVALID_HANDLE = 1010108,
		ERROR_CODE_CORE_INVALID_INDEX = 1010109,
		ERROR_CODE_CORE_OUT_OF_MEMORY = 1010110,
		ERROR_CODE_CORE_INVALID_ARGUMENT = 1010111,
		ERROR_CODE_CORE_TIMEOUT = 1010112,
		ERROR_CODE_CORE_INITIALIZATION_FAILURE = 1010113,
		ERROR_CODE_CORE_CALL_INITIATION_FAILURE = 1010114,
		ERROR_CODE_CORE_REGISTRATION_ERROR = 1010115,
		ERROR_CODE_CORE_BUFFER_OVERFLOW = 1010116,
		ERROR_CODE_CORE_INVALID_LOCK_STATE = 1010117,
		ERROR_CODE_DDL_INVALID_SIGNATURE = 1010201,
		ERROR_CODE_DDL_INCORRECT_VERSION = 1010202,
		ERROR_CODE_RENDEZVOUS_CONNECTION_FAILURE = 1010301,
		ERROR_CODE_RENDEZVOUS_NOT_AUTHENTICATED = 1010302,
		ERROR_CODE_RENDEZVOUS_INVALID_USERNAME = 1010303,
		ERROR_CODE_RENDEZVOUS_INVALID_PASSWORD = 1010304,
		ERROR_CODE_RENDEZVOUS_USERNAME_ALREADY_EXISTS = 1010305,
		ERROR_CODE_RENDEZVOUS_ACCOUNT_DISABLED = 1010306,
		ERROR_CODE_RENDEZVOUS_ACCOUNT_EXPIRED = 1010307,
		ERROR_CODE_RENDEZVOUS_CONCURRENT_LOGIN_DENIED = 1010308,
		ERROR_CODE_RENDEZVOUS_ENCRYPTION_FAILURE = 1010309,
		ERROR_CODE_RENDEZVOUS_INVALID_PID = 1010310,
		ERROR_CODE_RENDEZVOUS_MAX_CONNECTIONS_REACHED = 1010311,
		ERROR_CODE_RENDEZVOUS_INVALID_GID = 1010312,
		ERROR_CODE_RENDEZVOUS_INVALID_THREAD_ID = 1010313,
		ERROR_CODE_RENDEZVOUS_INVALID_OPERATION_IN_LIVE_ENVIRONMENT = 1010314,
		ERROR_CODE_RENDEZVOUS_DUPLICATE_ENTRY = 1010315,
		ERROR_CODE_RENDEZVOUS_CONTROL_SCRIPT_FAILURE = 1010316,
		ERROR_CODE_RENDEZVOUS_CLASS_NOT_FOUND = 1010317,
		ERROR_CODE_RENDEZVOUS_DDL_MISMATCH = 1010320,
		ERROR_CODE_PYTHONCORE_EXCEPTION = 1010401,
		ERROR_CODE_PYTHONCORE_TYPE_ERROR = 1010402,
		ERROR_CODE_PYTHONCORE_INDEX_ERROR = 1010403,
		ERROR_CODE_PYTHONCORE_INVALID_REFERENCE = 1010404,
		ERROR_CODE_PYTHONCORE_CALL_FAILURE = 1010405,
		ERROR_CODE_PYTHONCORE_MEMORY_ERROR = 1010406,
		ERROR_CODE_PYTHONCORE_KEY_ERROR = 1010407,
		ERROR_CODE_PYTHONCORE_OPERATION_ERROR = 1010408,
		ERROR_CODE_PYTHONCORE_CONVERSION_ERROR = 1010409,
		ERROR_CODE_PYTHONCORE_VALIDATION_ERROR = 1010410,
		ERROR_CODE_TRANSPORT_UNKNOWN = 1010501,
		ERROR_CODE_TRANSPORT_CONNECTION_FAILURE = 1010502,
		ERROR_CODE_TRANSPORT_INVALID_URL = 1010503,
		ERROR_CODE_TRANSPORT_INVALID_KEY = 1010504,
		ERROR_CODE_TRANSPORT_INVALID_URL_TYPE = 1010505,
		ERROR_CODE_TRANSPORT_DUPLICATE_ENDPOINT = 1010506,
		ERROR_CODE_TRANSPORT_IO_ERROR = 1010507,
		ERROR_CODE_TRANSPORT_TIMEOUT = 1010508,
		ERROR_CODE_TRANSPORT_CONNECTION_RESET = 1010509,
		ERROR_CODE_TRANSPORT_INCORRECT_REMOTE_AUTHENTICATION = 1010510,
		ERROR_CODE_TRANSPORT_SERVER_REQUEST_ERROR = 1010511,
		ERROR_CODE_TRANSPORT_DECOMPRESSION_FAILURE = 1010512,
		ERROR_CODE_TRANSPORT_CONGESTED_END_POINT = 1010513,
		ERROR_CODE_TRANSPORT_SOCKET_SEND_WARNING = 1010518,
		ERROR_CODE_TRANSPORT_UNSUPPORTED_NAT = 1010519,
		ERROR_CODE_TRANSPORT_DNS_ERROR = 1010520,
		ERROR_CODE_TRANSPORT_PROXY_ERROR = 1010521,
		ERROR_CODE_TRANSPORT_DATA_REMAINING = 1010522,
		ERROR_CODE_TRANSPORT_NO_BUFFER = 1010523,
		ERROR_CODE_TRANSPORT_NOT_FOUND = 1010524,
		ERROR_CODE_DAEMON_NOT_INITIALIZED = 1010702,
		ERROR_CODE_DAEMON_ALREADY_INITIALIZED = 1010703,
		ERROR_CODE_NOT_CONNECTED = 1010704,
		ERROR_CODE_CONNECTED = 1010705,
		ERROR_CODE_INITIALIZATION_FAILURE = 1010706,
		ERROR_CODE_OUT_OF_MEMORY = 1010707,
		ERROR_CODE_RMC_FAILED = 1010708,
		ERROR_CODE_INVALID_ARGUMENT = 1010709,
		ERROR_CODE_FPD_INVALID_PRINCIPAL_ID = 1010711,
		ERROR_CODE_FILE_IO_ERROR = 1010720,
		ERROR_CODE_FPD_UNKNOWN = 1010722,
		ERROR_CODE_FPD_INVALID_STATE = 1010723,
		ERROR_CODE_FPD_ADD_FRIEND_PROHIBITED = 1010725,
		ERROR_CODE_FPD_INVALID_ACCOUNT = 1010727,
		ERROR_CODE_FPD_BLACKLISTED_BY_ME = 1010728,
		ERROR_CODE_FPD_FRIEND_ALREADY_ADDED = 1010730,
		ERROR_CODE_FPD_MY_FRIEND_LIST_LIMIT_EXCEED = 1010731,
		ERROR_CODE_FPD_REQUEST_LIMIT_EXCEED = 1010732,
		ERROR_CODE_FPD_INVALID_MESSAGE_ID = 1010733,
		ERROR_CODE_FPD_MESSAGE_IS_NOT_MINE = 1010734,
		ERROR_CODE_FPD_MESSAGE_IS_NOT_FOR_ME = 1010735,
		ERROR_CODE_FPD_FRIEND_REQUEST_BLOCKED = 1010736,
		ERROR_CODE_FPD_NOT_IN_MY_FRIEND_LIST = 1010737,
		ERROR_CODE_FPD_FRIEND_LISTED_BY_ME = 1010738,
		ERROR_CODE_FPD_NOT_IN_MY_BLACKLIST = 1010739,
		ERROR_CODE_FPD_INCOMPATIBLE_ACCOUNT = 1010740,
		ERROR_CODE_FPD_BLOCK_SETTING_CHANGE_NOT_ALLOWED = 1010741,
		ERROR_CODE_FPD_SIZE_LIMIT_EXCEEDED = 1010742,
		ERROR_CODE_FPD_OPERATION_NOT_ALLOWED = 1010743,
		ERROR_CODE_FPD_NOT_NETWORK_ACCOUNT = 1010744,
		ERROR_CODE_FPD_NOTIFICATION_NOT_FOUND = 1010745,
		ERROR_CODE_AUTHENTICATION_TOKEN_PARSE_ERROR = 1010802,
		ERROR_CODE_AUTHENTICATION_HTTP_CONNECTION_ERROR = 1010803,
		ERROR_CODE_AUTHENTICATION_HTTP_DNS_ERROR = 1010804,
		ERROR_CODE_AUTHENTICATION_HTTP_GET_PROXY_SETTING = 1010805,
		ERROR_CODE_AUTHENTICATION_TOKEN_EXPIRED = 1010806,
		ERROR_CODE_AUTHENTICATION_VALIDATION_FAILED = 1010807,
		ERROR_CODE_AUTHENTICATION_INVALID_PARAM = 1010808,
		ERROR_CODE_AUTHENTICATION_PRINCIPAL_ID_UNMATCHED = 1010809,
		ERROR_CODE_AUTHENTICATION_MOVE_COUNT_UNMATCH = 1010810,
		ERROR_CODE_AUTHENTICATION_UNDER_MAINTENANCE = 1010811,
		ERROR_CODE_AUTHENTICATION_UNSUPPORTED_VERSION = 1010812,
		ERROR_CODE_AUTHENTICATION_UNKNOWN = 1010813,
		ERROR_CODE_DESCRIPTION_NOT_FOUND_ACCESS_POINT = 1031000,
		ERROR_CODE_DESCRIPTION_FAILED_CONNECT_AP = 1031100,
		ERROR_CODE_DESCRIPTION_CONFLICT_IP_ADDRESS = 1031200,
		ERROR_CODE_DESCRIPTION_INVALID = 1034100,
		ERROR_CODE_DESCRIPTION_FAILED_FILE_ACCESS = 1035000,
		ERROR_CODE_ACCOUNT_NOT_FOUND = 1021001,
		ERROR_CODE_SLOTS_FULL = 1021002,
		ERROR_CODE_ACCOUNT_NOT_LOADED = 1021011,
		ERROR_CODE_ACCOUNT_ALREADY_LOADED = 1021012,
		ERROR_CODE_ACCOUNT_LOCKED = 1021013,
		ERROR_CODE_NOT_NETWORK_ACCOUNT = 1021021,
		ERROR_CODE_NOT_LOCAL_ACCOUNT = 1021022,
		ERROR_CODE_ACCOUNT_NOT_COMMITTED = 1021023,
		ERROR_CODE_NETWORK_CLOCK_INVALID = 1021101,
		ERROR_CODE_HTTP_UNSUPPORTED_PROTOCOL = 1022101,
		ERROR_CODE_HTTP_FAILED_INIT = 1022102,
		ERROR_CODE_HTTP_URL_MALFORMAT = 1022103,
		ERROR_CODE_HTTP_NOT_BUILT_IN = 1022104,
		ERROR_CODE_HTTP_COULDNT_RESOLVE_PROXY = 1022105,
		ERROR_CODE_HTTP_COULDNT_RESOLVE_HOST = 1022106,
		ERROR_CODE_HTTP_COULDNT_CONNECT = 1022107,
		ERROR_CODE_HTTP_REMOTE_ACCESS_DENIED = 1022109,
		ERROR_CODE_HTTP_PARTIAL_FILE = 1022118,
		ERROR_CODE_HTTP_QUOTE_ERROR = 1022121,
		ERROR_CODE_HTTP_HTTP_RETURNED_ERROR = 1022122,
		ERROR_CODE_HTTP_WRITE_ERROR = 1022123,
		ERROR_CODE_HTTP_UPLOAD_FAILED = 1022125,
		ERROR_CODE_HTTP_READ_ERROR = 1022126,
		ERROR_CODE_HTTP_OUT_OF_MEMORY = 1022127,
		ERROR_CODE_HTTP_OPERATION_TIMEDOUT = 1022128,
		ERROR_CODE_HTTP_RANGE_ERROR = 1022133,
		ERROR_CODE_HTTP_HTTP_POST_ERROR = 1022134,
		ERROR_CODE_HTTP_SSL_CONNECT_ERROR = 1022135,
		ERROR_CODE_HTTP_BAD_DOWNLOAD_RESUME = 1022136,
		ERROR_CODE_HTTP_FILE_COULDNT_READ_FILE = 1022137,
		ERROR_CODE_HTTP_FUNCTION_NOT_FOUND = 1022141,
		ERROR_CODE_HTTP_ABORTED_BY_CALLBACK = 1022142,
		ERROR_CODE_HTTP_BAD_FUNCTION_ARGUMEN = 1022143,
		ERROR_CODE_HTTP_INTERFACE_FAILED = 1022145,
		ERROR_CODE_HTTP_TOO_MANY_REDIRECTS = 1022147,
		ERROR_CODE_HTTP_UNKNOWN_OPTION = 1022148,
		ERROR_CODE_HTTP_PEER_FAILED_VERIFICATION = 1022151,
		ERROR_CODE_HTTP_GOT_NOTHING = 1022152,
		ERROR_CODE_HTTP_SSL_ENGINE_NOTFOUND = 1022153,
		ERROR_CODE_HTTP_SSL_ENGINE_SETFAILED = 1022154,
		ERROR_CODE_HTTP_SEND_ERROR = 1022155,
		ERROR_CODE_HTTP_RECV_ERROR = 1022156,
		ERROR_CODE_HTTP_SSL_CERTPROBLEM = 1022158,
		ERROR_CODE_HTTP_SSL_CIPHER = 1022159,
		ERROR_CODE_HTTP_SSL_CACERT = 1022160,
		ERROR_CODE_HTTP_BAD_CONTENT_ENCODING = 1022161,
		ERROR_CODE_HTTP_CONV_FAILED = 1022175,
		ERROR_CODE_HTTP_CONV_REQD = 1022176,
		ERROR_CODE_HTTP_SSL_CACERT_BADFILE = 1022177,
		ERROR_CODE_HTTP_REMOTE_FILE_NOT_FOUND = 1022178,
		ERROR_CODE_HTTP_SSH = 1022179,
		ERROR_CODE_HTTP_SSL_SHUTDOWN_FAILED = 1022180,
		ERROR_CODE_HTTP_AGAIN = 1022181,
		ERROR_CODE_HTTP_SSL_CRL_BADFILE = 1022182,
		ERROR_CODE_HTTP_SSL_ISSUER_ERROR = 1022183,
		ERROR_CODE_HTTP_RTSP_CSEQ_ERROR = 1022185,
		ERROR_CODE_HTTP_RTSP_SESSION_ERROR = 1022186,
		ERROR_CODE_HTTP_CHUNK_FAILED = 1022188,
		ERROR_CODE_HTTP_NSSL_NO_CTX = 1022189,
		ERROR_CODE_SO_SELECT_ERROR = 1022211,
		ERROR_CODE_BAD_FORMAT_PARAMETER = 1022401,
		ERROR_CODE_BAD_FORMAT_REQUEST = 1022402,
		ERROR_CODE_REQUEST_PARAMETER_MISSING = 1022403,
		ERROR_CODE_WRONG_HTTP_METHOD = 1022404,
		ERROR_CODE_BAD_FORMAT_RESPONSE = 1022421,
		ERROR_CODE_RESPONSE_ITEM_MISSING = 1022422,
		ERROR_CODE_RESPONSE_TOO_LARGE = 1022423,
		ERROR_CODE_INVALID_PLATFORM_ID = 1022451,
		ERROR_CODE_UNAUTHORIZED_DEVIC = 1022452,
		ERROR_CODE_INVALID_SERIAL_ID = 1022453,
		ERROR_CODE_INVALID_MAC_ADDRESS = 1022454,
		ERROR_CODE_INVALID_REGION = 1022455,
		ERROR_CODE_INVALID_COUNTRY = 1022456,
		ERROR_CODE_INVALID_LANGUAGE = 1022457,
		ERROR_CODE_UNAUTHORIZED_CLIENT = 1022458,
		ERROR_CODE_DEVICE_ID_EMPTY = 1022459,
		ERROR_CODE_SERIAL_ID_EMPTY = 1022460,
		ERROR_CODE_PLATFORM_ID_EMPTY = 1022461,
		ERROR_CODE_INVALID_UNIQUE_ID = 1022471,
		ERROR_CODE_INVALID_CLIENT_ID = 1022472,
		ERROR_CODE_INVALID_CLIENT_KEY = 1022473,
		ERROR_CODE_INVALID_NEX_CLIENT_ID = 1022481,
		ERROR_CODE_INVALID_GAME_SERVER_ID = 1022482,
		ERROR_CODE_GAME_SERVER_ID_ENVIRONMENT_NOT_FOUND = 1022483,
		ERROR_CODE_GAME_SERVER_ID_UNIQUE_ID_NOT_LINKED = 1022484,
		ERROR_CODE_CLIENT_ID_UNIQUE_ID_NOT_LINKED = 1022485,
		ERROR_CODE_DEVICE_MISMATCH = 1022501,
		ERROR_CODE_COUNTRY_MISMATCH = 1022502,
		ERROR_CODE_EULA_NOT_ACCEPTED = 1022503,
		ERROR_CODE_SYSTEM_UPDATE_REQUIRED = 1022511,
		ERROR_CODE_APPLICATION_UPDATE_REQUIRED = 1022512,
		ERROR_CODE_REQUEST_FORBIDDEN = 1022522,
		ERROR_CODE_PID_NOT_FOUND = 1022531,
		ERROR_CODE_NEX_ACCOUNT_NOT_FOUND = 1022532,
		ERROR_CODE_GENERATE_TOKEN_FAILURE = 1022533,
		ERROR_CODE_REQUEST_NOT_FOUND = 1022534,
		ERROR_CODE_MASTER_PIN_NOT_FOUND = 1022535,
		ERROR_CODE_MAIL_TEXT_NOT_FOUND = 1022536,
		ERROR_CODE_SEND_MAIL_FAILURE = 1022537,
		ERROR_CODE_INVALID_EULA_COUNTRY = 1022541,
		ERROR_CODE_INVALID_EULA_COUNTRY_AND_VERSION = 1022542,
		ERROR_CODE_EULA_NOT_FOUND = 1022543,
		ERROR_CODE_ACCOUNT_ID_ALREADY_EXISTS = 1022571,
		ERROR_CODE_ACCOUNT_ID_NOT_ACCEPTABLE = 1022572,
		ERROR_CODE_ACCOUNT_PASSWORD_NOT_ACCEPTABLE = 1022573,
		ERROR_CODE_MII_NAME_NOT_ACCEPTABLE = 1022574,
		ERROR_CODE_MAIL_ADDRESS_NOT_ACCEPTABLE = 1022575,
		ERROR_CODE_ACCOUNT_ID_FORMAT_INVALID = 1022576,
		ERROR_CODE_ACCOUNT_ID_PASSWORD_SAME = 1022577,
		ERROR_CODE_REACHED_ASSOCIATION_LIMIT = 1022591,
		ERROR_CODE_REACHED_REGISTRATION_LIMIT = 1022592,
		ERROR_CODE_COPPA_NOT_ACCEPTED = 1022593,
		ERROR_CODE_PARENTAL_CONTROLS_REQUIRED = 1022594,
		ERROR_CODE_MII_NOT_REGISTERD = 1022595,
		ERROR_CODE_DEVICE_EULA_COUNTRY_MISMATCH = 1022596,
		ERROR_CODE_WRONG_ACCOUNT_PASSWORD = 1022611,
		ERROR_CODE_WRONG_MAIL_ADDRESS = 1022612,
		ERROR_CODE_WRONG_ACCOUNT_PASSWORD_OR_MAIL_ADDRESS = 1022613,
		ERROR_CODE_WRONG_CONFIRMATION_CODE = 1022614,
		ERROR_CODE_WRONG_BIRTH_DATE_OR_MAIL_ADDRESS = 1022615,
		ERROR_CODE_WRONG_ACCOUNT_MAIL = 1022616,
		ERROR_CODE_ACCOUNT_ALREADY_DELETED = 1022631,
		ERROR_CODE_ACCOUNT_ID_CHANGED = 1022632,
		ERROR_CODE_AUTHENTICATION_LOCKED = 1022633,
		ERROR_CODE_ACCOUNT_TOKEN_EXPIRED = 1022641,
		ERROR_CODE_INVALID_ACCOUNT_TOKEN = 1022642,
		ERROR_CODE_CONFIRMATION_CODE_EXPIRED = 1022651,
		ERROR_CODE_MAIL_ADDRESS_NOT_VALIDATED = 1022661,
		ERROR_CODE_EXCESSIVE_MAIL_SEND_REQUEST = 1022662,
		ERROR_CODE_CREDIT_CARD_GENERAL_FAILURE = 1022671,
		ERROR_CODE_CREDIT_CARD_DECLINED = 1022672,
		ERROR_CODE_CREDIT_CARD_BLACKLISTED = 1022673,
		ERROR_CODE_INVALID_CREDIT_CARD_NUMBER = 1022674,
		ERROR_CODE_INVALID_CREDIT_CARD_DATE = 1022675,
		ERROR_CODE_INVALID_CREDIT_CARD_PIN = 1022676,
		ERROR_CODE_INVALID_POSTAL_CODE = 1022677,
		ERROR_CODE_INVALID_LOCATION = 1022678,
		ERROR_CODE_CREDIT_CARD_DATE_EXPIRED = 1022679,
		ERROR_CODE_CREDIT_CARD_NUMBER_WRONG = 1022680,
		ERROR_CODE_CREDIT_CARD_PIN_WRONG = 1022681,
		ERROR_CODE_BANNED_ACCOUNT_ALL = 1022802,
		ERROR_CODE_BANNED_ACCOUNT_IN_APPLICATION = 1022803,
		ERROR_CODE_BANNED_ACCOUNT_IN_NEX_SERVICE = 1022804,
		ERROR_CODE_BANNED_ACCOUNT_IN_INDEPENDENT_SERVICE = 1022805,
		ERROR_CODE_BANNED_DEVICE_ALL = 1022812,
		ERROR_CODE_BANNED_DEVICE_IN_APPLICATION = 1022813,
		ERROR_CODE_BANNED_DEVICE_IN_NEX_SERVICE = 1022814,
		ERROR_CODE_BANNED_DEVICE_IN_INDEPENDENT_SERVICE = 1022815,
		ERROR_CODE_BANNED_ACCOUNT_ALL_TEMPORARILY = 1022822,
		ERROR_CODE_BANNED_ACCOUNT_IN_APPLICATION_TEMPORARILY = 1022823,
		ERROR_CODE_BANNED_ACCOUNT_IN_NEX_SERVICE_TEMPORARILY = 1022824,
		ERROR_CODE_BANNED_ACCOUNT_IN_INDEPENDENT_SERVICE_TEMPORARILY = 1022825,
		ERROR_CODE_BANNED_DEVICE_ALL_TEMPORARILY = 1022832,
		ERROR_CODE_BANNED_DEVICE_IN_APPLICATION_TEMPORARILY = 1022833,
		ERROR_CODE_BANNED_DEVICE_IN_NEX_SERVICE_TEMPORARILY = 1022834,
		ERROR_CODE_BANNED_DEVICE_IN_INDEPENDENT_SERVICE_TEMPORARILY = 1022835,
		ERROR_CODE_UNDER_MAINTENANCE = 1022881,
		ERROR_CODE_SERVICE_CLOSED = 1022882,
		ERROR_CODE_NINTENDO_NETWORK_CLOSED = 1022883,
		ERROR_CODE_NOT_PROVIDED_COUNTRY = 1022884,
		ERROR_CODE_RESTRICTED_BY_AGE = 1022901,
		ERROR_CODE_RESTRICTED_BY_PARENTAL_CONTROL = 1022911,
		ERROR_CODE_INTERNAL_SERVER_ERROR = 1022931,
		ERROR_CODE_WEBKIT_INVALID_CONFIG_XML = 1170101,
		ERROR_CODE_WEBKIT_RESERVED = 1170102,
		ERROR_CODE_WEBKIT_ASSET_LOAD_FAIL = 1170121,
		ERROR_CODE_WEBKIT_INIT_ERROR = 1170122,
		ERROR_CODE_WEBKIT_LIBRARY_UNINIT = 1170123,
		ERROR_CODE_WEBKIT_LIBRARY_ALREADY_INIT = 1170124,
		ERROR_CODE_WEBKIT_WEBKIT_OUT_OF_MEMORY = 1170201,
		ERROR_CODE_WEBKIT_JAVASCRIPT_OUT_OF_MEMORY = 1170202,
		ERROR_CODE_WEBKIT_MEM_ALLOC_FAIL = 1170203,
		ERROR_CODE_WEBKIT_JAVASCRIPT_EXEC_TIMEOUT = 1170204,
		ERROR_CODE_WEBKIT_THREAD_EXEC_TIMEOUT = 1170205,
		ERROR_CODE_WEBKIT_UNSUPPORTED_VIDEO_FORMAT = 1170206,
		ERROR_CODE_WEBKIT_UNSUPPORTED_AUDIO_FORMAT = 1170207,
		ERROR_CODE_WEBKIT_UNSUPPORTED_IMAGE_FORMAT = 1170208,
		ERROR_CODE_WEBKIT_SAVE_DATA_FULL = 1170209,
		ERROR_CODE_WEBKIT_SAVE_DATA_FULL_REQUIRED = 1170210,
		ERROR_CODE_WEBKIT_MALFORMATTED_HTML = 1170211,
		ERROR_CODE_WEBKIT_ADDRESS_BLOCKED_BY_WHITELIST = 1170301,
		ERROR_CODE_WEBKIT_STATUS_CODES_BEGIN = 1171000,
		ERROR_CODE_WEBKIT_NETWORK_BAD_GATEWAY = 1171400,
		ERROR_CODE_WEBKIT_NETWORK_UNAUTHORIZED = 1171401,
		ERROR_CODE_WEBKIT_NETWORK_PAYMENT_REQUIRED = 1171402,
		ERROR_CODE_WEBKIT_NETWORK_FORBIDDEN = 1171403,
		ERROR_CODE_WEBKIT_NETWORK_NOT_FOUND = 1171404,
		ERROR_CODE_WEBKIT_NETWORK_METHOD_NOT_ALLOWED = 1171405,
		ERROR_CODE_WEBKIT_NETWORK_NOT_ACCEPTABLE = 1171406,
		ERROR_CODE_WEBKIT_NETWORK_PROXY_AUTH_REQ = 1171407,
		ERROR_CODE_WEBKIT_NETWORK_REQUEST_TIMEOUT = 1171408,
		ERROR_CODE_WEBKIT_NETWORK_CONFLICT = 1171409,
		ERROR_CODE_WEBKIT_NETWORK_GONE = 1171410,
		ERROR_CODE_WEBKIT_NETWORK_LENGTH_REQUIRED = 1171411,
		ERROR_CODE_WEBKIT_NETWORK_PRECONDITION_FAILED = 1171412,
		ERROR_CODE_WEBKIT_NETWORK_REQUEST_ENTITY_TOO_LARGE = 1171413,
		ERROR_CODE_WEBKIT_NETWORK_REQUEST_URI_TOO_LONG = 1171414,
		ERROR_CODE_WEBKIT_NETWORK_UNSUPPORTED_MEDIA_TYPE = 1171415,
		ERROR_CODE_WEBKIT_NETWORK_RANGE_NOT_SATISFIABLE = 1171416,
		ERROR_CODE_WEBKIT_NETWORK_EXPECTATION_FAILED = 1171417,
		ERROR_CODE_WEBKIT_NETWORK_INTERNAL_SERVER_ERROR = 1171500,
		ERROR_CODE_WEBKIT_NETWORK_NOT_IMPLEMENTED = 1171501,
		//ERROR_CODE_WEBKIT_NETWORK_BAD_GATEWAY = 1171502,
		ERROR_CODE_WEBKIT_NETWORK_SERVICE_UNAVAILABLE = 1171503,
		ERROR_CODE_WEBKIT_NETWORK_GATEWAY_TIMEOUT = 1171504,
		ERROR_CODE_WEBKIT_NETWORK_HTTP_VERSION_UNSUPPORTED = 1171505,
		ERROR_CODE_WEBKIT_STATUS_CODES_END = 1171505,
		ERROR_CODE_WEBKIT_EXTENSION_RPL_NOT_FOUND = 1174001,
		ERROR_CODE_WEBKIT_INVALID_FUNCTION_PARAMETERS = 1174002,
		ERROR_CODE_CURLE_UNSUPPORTED_PROTOCOL = 1172001,
		ERROR_CODE_CURLE_FAILED_INIT = 1172002,
		ERROR_CODE_CURLE_URL_MALFORMAT = 1172003,
		ERROR_CODE_CURLE_NOT_BUILT_IN = 1172004,
		ERROR_CODE_CURLE_COULDNT_RESOLVE_PROXY = 1172005,
		ERROR_CODE_CURLE_COULDNT_RESOLVE_HOST = 1172006,
		ERROR_CODE_CURLE_COULDNT_CONNECT = 1172007,
		ERROR_CODE_CURLE_REMOTE_ACCESS_DENIED = 1172008,
		ERROR_CODE_CURLE_PARTIAL_FILE = 1172009,
		ERROR_CODE_CURLE_QUOTE_ERROR = 1172010,
		ERROR_CODE_CURLE_CURLE_RETURNED_ERROR = 1172011,
		ERROR_CODE_CURLE_WRITE_ERROR = 1172012,
		ERROR_CODE_CURLE_UPLOAD_FAILED = 1172013,
		ERROR_CODE_CURLE_READ_ERROR = 1172014,
		ERROR_CODE_CURLE_OUT_OF_MEMORY = 1172015,
		ERROR_CODE_CURLE_OPERATION_TIMEDOUT = 1172016,
		ERROR_CODE_CURLE_RANGE_ERROR = 1172017,
		ERROR_CODE_CURLE_CURLE_POST_ERROR = 1172018,
		ERROR_CODE_CURLE_SSL_CONNECT_ERROR = 1172019,
		ERROR_CODE_CURLE_BAD_DOWNLOAD_RESUME = 1172020,
		ERROR_CODE_CURLE_FILE_COULDNT_READ_FILE = 1172021,
		ERROR_CODE_CURLE_FUNCTION_NOT_FOUND = 1172022,
		ERROR_CODE_CURLE_ABORTED_BY_CALLBACK = 1172023,
		ERROR_CODE_CURLE_BAD_FUNCTION_ARGUMEN = 1172024,
		ERROR_CODE_CURLE_INTERFACE_FAILED = 1172025,
		ERROR_CODE_CURLE_TOO_MANY_REDIRECTS = 1172026,
		ERROR_CODE_CURLE_UNKNOWN_OPTION = 1172027,
		ERROR_CODE_CURLE_PEER_FAILED_VERIFICATION = 1172028,
		ERROR_CODE_CURLE_GOT_NOTHING = 1172029,
		ERROR_CODE_CURLE_SSL_ENGINE_NOTFOUND = 1172030,
		ERROR_CODE_CURLE_SSL_ENGINE_SETFAILED = 1172031,
		ERROR_CODE_CURLE_SEND_ERROR = 1172032,
		ERROR_CODE_CURLE_RECV_ERROR = 1172033,
		ERROR_CODE_CURLE_SSL_CERTPROBLEM = 1172034,
		ERROR_CODE_CURLE_SSL_CIPHER = 1172035,
		ERROR_CODE_CURLE_SSL_CACERT = 1172036,
		ERROR_CODE_CURLE_BAD_CONTENT_ENCODING = 1172037,
		ERROR_CODE_CURLE_CONV_FAILED = 1172038,
		ERROR_CODE_CURLE_CONV_REQD = 1172039,
		ERROR_CODE_CURLE_SSL_CACERT_BADFILE = 1172040,
		ERROR_CODE_CURLE_REMOTE_FILE_NOT_FOUND = 1172041,
		ERROR_CODE_CURLE_SSH = 1172042,
		ERROR_CODE_CURLE_SSL_SHUTDOWN_FAILED = 1172043,
		ERROR_CODE_CURLE_AGAIN = 1172044,
		ERROR_CODE_CURLE_SSL_CRL_BADFILE = 1172045,
		ERROR_CODE_CURLE_SSL_ISSUER_ERROR = 1172046,
		ERROR_CODE_CURLE_RTSP_CSEQ_ERROR = 1172047,
		ERROR_CODE_CURLE_RTSP_SESSION_ERROR = 1172048,
		ERROR_CODE_CURLE_CHUNK_FAILED = 1172049,
		ERROR_CODE_CURLE_SSL_RECONNECT = 1172050,
		ERROR_CODE_OPEN_SSL_ILLEGAL = 1173002,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_ISSUER_CERT = 1173003,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_CRL = 1173004,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_DECRYPT_CERT_SIGNATURE = 1173005,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_DECRYPT_CRL_SIGNATURE = 1173006,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_DECODE_ISSUER_PUBLIC_KEY = 1173007,
		ERROR_CODE_OPEN_SSL_CERT_SIGNATURE_FAILURE = 1173008,
		ERROR_CODE_OPEN_SSL_CRL_SIGNATURE_FAILURE = 1173009,
		ERROR_CODE_OPEN_SSL_CERT_NOT_YET_VALID = 1173010,
		ERROR_CODE_OPEN_SSL_CERT_HAS_EXPIRED = 1173011,
		ERROR_CODE_OPEN_SSL_CRL_NOT_YET_VALID = 1173012,
		ERROR_CODE_OPEN_SSL_CRL_HAS_EXPIRED = 1173013,
		ERROR_CODE_OPEN_SSL_ERROR_IN_CERT_NOT_BEFORE_FIELD = 1173014,
		ERROR_CODE_OPEN_SSL_ERROR_IN_CERT_NOT_AFTER_FIELD = 1173015,
		ERROR_CODE_OPEN_SSL_ERROR_IN_CRL_LAST_UPDATE_FIELD = 1173016,
		ERROR_CODE_OPEN_SSL_ERROR_IN_CRL_NEXT_UPDATE_FIELD = 1173017,
		ERROR_CODE_OPEN_SSL_OUT_OF_MEM = 1173018,
		ERROR_CODE_OPEN_SSL_DEPTH_ZERO_SELF_SIGNED_CERT = 1173019,
		ERROR_CODE_OPEN_SSL_SELF_SIGNED_CERT_IN_CHAIN = 1173020,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_ISSUER_CERT_LOCALLY = 1173021,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_VERIFY_LEAF_SIGNATURE = 1173022,
		ERROR_CODE_OPEN_SSL_CERT_CHAIN_TOO_LONG = 1173023,
		ERROR_CODE_OPEN_SSL_CERT_REVOKED = 1173024,
		ERROR_CODE_OPEN_SSL_INVALID_CA = 1173025,
		ERROR_CODE_OPEN_SSL_PATH_LENGTH_EXCEEDED = 1173026,
		ERROR_CODE_OPEN_SSL_INVALID_PURPOSE = 1173027,
		ERROR_CODE_OPEN_SSL_CERT_UNTRUSTED = 1173028,
		ERROR_CODE_OPEN_SSL_CERT_REJECTED = 1173029,
		ERROR_CODE_OPEN_SSL_SUBJECT_ISSUER_MISMATCH = 1173030,
		ERROR_CODE_OPEN_SSL_AKID_SKID_MISMATCH = 1173031,
		ERROR_CODE_OPEN_SSL_AKID_ISSUER_SERIAL_MISMATCH = 1173032,
		ERROR_CODE_OPEN_SSL_KEYUSAGE_NO_CERTSIGN = 1173033,
		ERROR_CODE_OPEN_SSL_UNABLE_TO_GET_CRL_ISSUER = 1173034,
		ERROR_CODE_OPEN_SSL_UNHANDLED_CRITICAL_EXTENSION = 1173035,
		ERROR_CODE_OPEN_SSL_KEYUSAGE_NO_CRL_SIGN = 1173036,
		ERROR_CODE_OPEN_SSL_UNHANDLED_CRITICAL_CRL_EXTENSION = 1173037,
		ERROR_CODE_OPEN_SSL_INVALID_NON_CA = 1173038,
		ERROR_CODE_OPEN_SSL_PROXY_PATH_LENGTH_EXCEEDED = 1173039,
		ERROR_CODE_OPEN_SSL_KEYUSAGE_NO_DIGITAL_SIGNATURE = 1173040,
		ERROR_CODE_OPEN_SSL_PROXY_CERTIFICATES_NOT_ALLOWED = 1173041,
		ERROR_CODE_OPEN_SSL_INVALID_EXTENSION = 1173042,
		ERROR_CODE_OPEN_SSL_INVALID_POLICY_EXTENSION = 1173043,
		ERROR_CODE_OPEN_SSL_NO_EXPLICIT_POLICY = 1173044,
		ERROR_CODE_OPEN_SSL_DIFFERENT_CRL_SCOPE = 1173045,
		ERROR_CODE_OPEN_SSL_UNSUPPORTED_EXTENSION_FEATURE = 1173046,
		ERROR_CODE_OPEN_SSL_UNNESTED_RESOURCE = 1173047,
		ERROR_CODE_OPEN_SSL_PERMITTED_VIOLATION = 1173048,
		ERROR_CODE_OPEN_SSL_EXCLUDED_VIOLATION = 1173049,
		ERROR_CODE_OPEN_SSL_SUBTREE_MINMAX = 1173050,
		ERROR_CODE_OPEN_SSL_APPLICATION_VERIFICATION = 1173051,
		ERROR_CODE_OPEN_SSL_UNSUPPORTED_CONSTRAINT_TYPE = 1173052,
		ERROR_CODE_OPEN_SSL_UNSUPPORTED_CONSTRAINT_SYNTAX = 1173053,
		ERROR_CODE_OPEN_SSL_UNSUPPORTED_NAME_SYNTAX = 1173054,
		ERROR_CODE_OPEN_SSL_CRL_PATH_VALIDATION_ERROR = 1173055,
		ERROR_CODE_OLV_MEM_ALLOC_FAIL = 1150101,
		ERROR_CODE_OLV_INVALID_ACCOUNT = 1150102,
		ERROR_CODE_OLV_NOT_IMPLEMENTED = 1150103,
		ERROR_CODE_OLV_INIT_ERROR = 1150104,
		ERROR_CODE_OLV_INVALID_PARAM = 1150201,
		ERROR_CODE_OLV_INVALID_FORMAT = 1150202,
		ERROR_CODE_OLV_INVALID_SIZE = 1150203,
		ERROR_CODE_OLV_INVALID_POINTER = 1150204,
		ERROR_CODE_OLV_NOT_INITIALIZED = 1150205,
		ERROR_CODE_OLV_ALREADY_INITIALIZED = 1150206,
		ERROR_CODE_OLV_ALREADY_OFFLINE = 1150207,
		ERROR_CODE_OLV_NO_VALID_DATA = 1150208,
		ERROR_CODE_OLV_OPERATION_CANCELED = 1150301,
		ERROR_CODE_OLV_NO_OP_TO_CANCEL = 1150302,
		ERROR_CODE_OLV_PORTAL_APP_NOT_FOUND = 1151001,
		ERROR_CODE_OLV_TOTALLY_RESTRICTED = 1151002,
		ERROR_CODE_OLV_POSTING_RESTRICTED = 1151003,
		ERROR_CODE_OLV_SETTINGS_LOAD_FAIL = 1151004,
		ERROR_CODE_OLV_ACP_FAILED = 1151005,
		ERROR_CODE_OLV_PRELOAD_FAILED = 1151006,
		ERROR_CODE_OLV_LIB_VERSION_MISMATCH = 1152001,
		ERROR_CODE_OLV_EXPIRED = 1152002,
		ERROR_CODE_OLV_EMPTY_HTTP_RESPONSE = 1152003,
		ERROR_CODE_OLV_XML_PARSE_ERROR = 1152004,
		ERROR_CODE_OLV_DATA_NOT_ON_SERVER = 1152005,
		ERROR_CODE_OLV_DECODE_FAILED = 1152006,
		ERROR_CODE_OLV_COMMUNICATION_LIB_FAILED = 1152007,
		ERROR_CODE_OLV_LANGUAGES_UNMATCHED = 1152008,
		ERROR_CODE_OLV_CURLE_UNSUPPORTED_PROTOCOL = 1153003,
		ERROR_CODE_OLV_CURLE_FAILED_INIT = 1153004,
		ERROR_CODE_OLV_CURLE_URL_MALFORMAT = 1153005,
		ERROR_CODE_OLV_CURLE_NOT_BUILT_IN = 1153006,
		ERROR_CODE_OLV_CURLE_COULDNT_RESOLVE_PROXY = 1153007,
		ERROR_CODE_OLV_CURLE_COULDNT_RESOLVE_HOST = 1153009,
		ERROR_CODE_OLV_CURLE_COULDNT_CONNECT = 1153018,
		ERROR_CODE_OLV_CURLE_REMOTE_ACCESS_DENIED = 1153021,
		ERROR_CODE_OLV_CURLE_PARTIAL_FILE = 1153022,
		ERROR_CODE_OLV_CURLE_QUOTE_ERROR = 1153023,
		ERROR_CODE_OLV_CURLE_HTTP_RETURNED_ERROR = 1153025,
		ERROR_CODE_OLV_CURLE_WRITE_ERROR = 1153026,
		ERROR_CODE_OLV_CURLE_UPLOAD_FAILED = 1153027,
		ERROR_CODE_OLV_CURLE_READ_ERROR = 1153028,
		ERROR_CODE_OLV_CURLE_OUT_OF_MEMORY = 1153033,
		ERROR_CODE_OLV_CURLE_OPERATION_TIMEDOUT = 1153034,
		ERROR_CODE_OLV_CURLE_RANGE_ERROR = 1153035,
		ERROR_CODE_OLV_CURLE_HTTP_POST_ERROR = 1153036,
		ERROR_CODE_OLV_CURLE_SSL_CONNECT_ERROR = 1153045,
		ERROR_CODE_OLV_CURLE_BAD_DOWNLOAD_RESUME = 1153047,
		ERROR_CODE_OLV_CURLE_INTERFACE_FAILED = 1153048,
		ERROR_CODE_OLV_CURLE_TOO_MANY_REDIRECTS = 1153051,
		ERROR_CODE_OLV_CURLE_UNKNOWN_OPTION = 1153052,
		ERROR_CODE_OLV_CURLE_PEER_FAILED_VERIFICATION = 1153053,
		ERROR_CODE_OLV_CURLE_GOT_NOTHING = 1153054,
		ERROR_CODE_OLV_CURLE_SSL_ENGINE_NOTFOUND = 1153055,
		ERROR_CODE_OLV_CURLE_SSL_ENGINE_SETFAILED = 1153056,
		ERROR_CODE_OLV_CURLE_SEND_ERROR = 1153058,
		ERROR_CODE_OLV_CURLE_RECV_ERROR = 1153059,
		ERROR_CODE_OLV_CURLE_SSL_CERTPROBLEM = 1153060,
		ERROR_CODE_OLV_CURLE_SSL_CIPHER = 1153064,
		ERROR_CODE_OLV_CURLE_SSL_CACERT = 1153065,
		ERROR_CODE_OLV_CURLE_USE_SSL_FAILED = 1153066,
		ERROR_CODE_OLV_CURLE_SEND_FAIL_REWIND = 1153067,
		ERROR_CODE_OLV_CURLE_SSL_ENGINE_INITFAILED = 1153075,
		ERROR_CODE_OLV_CURLE_LOGIN_DENIED = 1153076,
		ERROR_CODE_OLV_CURLE_CONV_FAILED = 1153077,
		ERROR_CODE_OLV_CURLE_CONV_REQD = 1153080,
		ERROR_CODE_OLV_CURLE_SSL_CACERT_BADFILE = 1153081,
		ERROR_CODE_OLV_CURLE_SSL_SHUTDOWN_FAILED = 1153082,
		ERROR_CODE_OLV_CURLE_AGAIN = 1153083,
		ERROR_CODE_OLV_CURLE_SSL_CRL_BADFILE = 1153088,
		ERROR_CODE_OLV_CURLE_SSL_ISSUER_ERROR = 1153089,
		ERROR_CODE_OLV_CURLE_CHUNK_FAILED = 1153401,
		ERROR_CODE_OLV_CURLE_NSSL_NO_CTX = 1153403,
		ERROR_CODE_OLV_HTTP_UNAUTHORIZED = 1154401,
		ERROR_CODE_OLV_HTTP_FORBIDDEN = 1154403,
		ERROR_CODE_OLV_HTTP_NOT_FOUND = 1154404,
		ERROR_CODE_OLV_HTTP_TIMEOUT = 1154408,
		ERROR_CODE_OLV_HTTP_RANGE_ERROR = 1154416,
		ERROR_CODE_OLV_HTTP_SERVER_ERROR = 1154500,
		ERROR_CODE_OLV_HTTP_BAD_GATEWAY = 1154502,
		ERROR_CODE_OLV_HTTP_SERVICE_UNAVAILABLE = 1154503,
		ERROR_CODE_OLV_HTTP_GATEWAY_TIMEOUT = 1154504,
		ERROR_CODE_OLV_HTTP_VERSION_UNSUPPORTED = 1154505,
		ERROR_CODE_OLV_VERSION_UNSUPPORTED = 1155001,
		ERROR_CODE_OLV_MUST_RUN_ONCE = 1155002,
		ERROR_CODE_OLV_SERVER_DOWN = 1155003,
		ERROR_CODE_OLV_SERVICE_DISCONTINUED = 1155004,
		ERROR_CODE_OLV_PARENTAL_CONTROL_RESTRICTED = 1155005,
		ERROR_CODE_OLV_PARENTAL_CONTROL_POSTING_RESTRICTED = 1155006,
		ERROR_CODE_OLV_ACCOUNT_BANNED = 1155007,
		ERROR_CODE_OLV_ACCOUNT_BANNED_FROM_POSTING = 1155008,
		ERROR_CODE_OLV_CONSOLE_BANNED = 1155009,
		ERROR_CODE_OLV_CONSOLE_BANNED_FROM_POSTING = 1155010,
		ERROR_CODE_OLV_DIRECT_MESSAGE_FAIL = 1155011,
		ERROR_CODE_OLV_INVALID_SERVICE_TOKEN = 1155101,
		ERROR_CODE_OLV_MISSING_PARAMETER = 1155102,
		ERROR_CODE_OLV_INVALID_PARAMETER_TYPE = 1155103,
		ERROR_CODE_OLV_ATTACHMENT_TOO_LARGE = 1155104,
		ERROR_CODE_OLV_PARAMETER_OUT_OF_BOUNDS = 1155105,
		ERROR_CODE_OLV_INVALID_REQUEST = 1155106,
		ERROR_CODE_OLV_ACCESS_KEY_MISMATCH = 1155108,
		ERROR_CODE_OLV_RECIPIENT_NOT_FRIEND = 1155109,
		ERROR_CODE_OLV_COMMUNITY_NONEXIST = 1155110,
		ERROR_CODE_OLV_TITLE_NONEXIST = 1155111,
		ERROR_CODE_OLV_INAPPROPRIATE_LANGUAGE = 1155901,
		ERROR_CODE_NEX_DESCRIPTION_CORE_UNKNOWN = 1060102,
		ERROR_CODE_NEX_DESCRIPTION_CORE_NOT_IMPLEMENTED = 1060103,
		ERROR_CODE_NEX_DESCRIPTION_CORE_INVALID_POINTER = 1060104,
		ERROR_CODE_NEX_DESCRIPTION_CORE_OPERATION_ABORTED = 1060105,
		ERROR_CODE_NEX_DESCRIPTION_CORE_EXCEPTION = 1060106,
		ERROR_CODE_NEX_DESCRIPTION_CORE_ACCESS_DENIED = 1060107,
		ERROR_CODE_NEX_DESCRIPTION_CORE_INVALID_HANDLE = 1060108,
		ERROR_CODE_NEX_DESCRIPTION_CORE_INVALID_INDEX = 1060109,
		ERROR_CODE_NEX_DESCRIPTION_CORE_OUT_OF_MEMORY = 1060110,
		ERROR_CODE_NEX_DESCRIPTION_CORE_INVALID_ARGUMENT = 1060111,
		ERROR_CODE_NEX_DESCRIPTION_CORE_TIMEOUT = 1060112,
		ERROR_CODE_NEX_DESCRIPTION_CORE_INITIALIZATION_FAILURE = 1060113,
		ERROR_CODE_NEX_DESCRIPTION_CORE_CALL_INITIATION_FAILURE = 1060114,
		ERROR_CODE_NEX_DESCRIPTION_CORE_REGISTRATION_ERROR = 1060115,
		ERROR_CODE_NEX_DESCRIPTION_CORE_BUFFER_OVERFLOW = 1060116,
		ERROR_CODE_NEX_DESCRIPTION_CORE_INVALID_LOCK_STATE = 1060117,
		ERROR_CODE_NEX_DESCRIPTION_DDL_INVALID_SIGNATURE = 1060201,
		ERROR_CODE_NEX_DESCRIPTION_DDL_INCORRECT_VERSION = 1060202,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_CONNECTION_FAILURE = 1060301,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_NOT_AUTHENTICATED = 1060302,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_USERNAME = 1060303,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_PASSWORD = 1060304,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_USERNAME_ALREADY_EXISTS = 1060305,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_ACCOUNT_DISABLED = 1060306,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_ACCOUNT_EXPIRED = 1060307,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_CONCURRENT_LOGIN_DENIED = 1060308,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_ENCRYPTION_FAILURE = 1060309,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_PID = 1060310,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_MAX_CONNECTIONS_REACHED = 1060311,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_GID = 1060312,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_THREAD_ID = 1060313,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_OPERATION_IN_LIVE_ENVIRONMENT = 1060314,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_DUPLICATE_ENTRY = 1060315,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_CONTROL_SCRIPT_FAILURE = 1060316,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_CLASS_NOT_FOUND = 1060317,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_SESSION_VOID = 1060318,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_LSP_GATEWAY_UNREACHABLE = 1060319,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_DDL_MISMATCH = 1060320,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_FTP_INFO = 1060321,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_SESSION_FULL = 1060322,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_INVALID_GATHERING_PASSWORD = 1060323,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_WITHOUT_PARTICIPATION_PERIOD = 1060324,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_COMMUNITY_CREATION_MAX = 1060325,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_COMMUNITY_PARTICIPATION_MAX = 1060326,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_DENIED_BY_PARTICIPANTS = 1060327,
		ERROR_CODE_NEX_DESCRIPTION_RENDEZVOUS_PARTICIPANT_IN_BLACKLIST = 1060328,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_EXCEPTION = 1060401,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_TYPE_ERROR = 1060402,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_INDEX_ERROR = 1060403,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_INVALID_REFERENCE = 1060404,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_CALL_FAILURE = 1060405,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_MEMORY_ERROR = 1060406,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_KEY_ERROR = 1060407,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_OPERATION_ERROR = 1060408,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_CONVERSION_ERROR = 1060409,
		ERROR_CODE_NEX_DESCRIPTION_PYTHONCORE_VALIDATION_ERROR = 1060410,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_UNKNOWN = 1060501,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_CONNECTION_FAILURE = 1060502,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_INVALID_URL = 1060503,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_INVALID_KEY = 1060504,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_INVALID_URL_TYPE = 1060505,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_IO_ERROR = 1060507,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_TIMEOUT = 1060508,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_INCORRECT_REMOTE_AUTHENTICATION = 1060510,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_SERVER_REQUEST_ERROR = 1060511,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_CONGESTED_END_POINT = 1060513,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_SOCKET_OVERFLOW = 1060518,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_UNSUPPORTED_NAT = 1060519,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_DNS_RESOLUTION_FAIL = 1060520,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_PROXY_FAIL = 1060521,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_BUFFER_LEFTOVER = 1060522,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_BUFFER_FULL = 1060523,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_RESOURCE_NOT_FOUND = 1060524,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_TEMP_SERVER_ERROR = 1060525,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_PERM_SERVER_ERROR = 1060526,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_SERVER_MAINTENANCE = 1060527,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_SEND_BUFFER_FULL = 1060528,
		ERROR_CODE_NEX_DESCRIPTION_TRANSPORT_INVALID_STATION = 1060529,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_STATION_NOT_REACHED = 1060602,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_TARGET_STATION_DISCONNECT = 1060603,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_LOCAL_STATION_LEAVING = 1060604,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_OBJECT_NOT_FOUND = 1060605,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_INVALID_ROLE = 1060606,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_CALL_TIMEOUT = 1060607,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_RMC_DISPATCH_FAILED = 1060608,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_MIGRATION_IN_PROGRESS = 1060609,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_NO_AUTHORITY = 1060610,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_NO_TARGET_STATION_SPECIFIED = 1060611,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_JOIN_FAILED = 1060612,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_JOIN_DENIED = 1060613,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_CONNECTIVITY_TEST_FAILED = 1060614,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_UNKNOWN = 1060615,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_UNFREED_REFERENCES = 1060616,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_JOB_TERMINATION_FAILED = 1060617,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_INVALID_STATE = 1060618,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_FAULT_RECOVERY_FATAL = 1060619,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_FAULT_RECOVERY_JOB_STATUS_FAIL = 1060620,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_STATION_INCONSISTENCY = 1060621,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_ABNORMAL_MASTER_STATE = 1060622,
		ERROR_CODE_NEX_DESCRIPTION_DOCORE_VERSION_MISMATCH = 1060623,
		ERROR_CODE_NEX_DESCRIPTION_FPD_NOT_INITIALIZED = 1060702,
		ERROR_CODE_NEX_DESCRIPTION_FILE_IO_ERROR = 1060720,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_NAS_AUTHENTICATE_ERROR = 1060801,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_TOKEN_PARSE_ERROR = 1060802,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_HTTP_CONNECTION_ERROR = 1060803,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_HTTP_DNS_ERROR = 1060804,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_HTTP_GET_PROXY_SETTING = 1060805,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_TOKEN_EXPIRED = 1060806,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_VALIDATION_FAILED = 1060807,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_INVALID_PARAM = 1060808,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_PRINCIPAL_ID_UNMATCHED = 1060809,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_MOVE_COUNT_UNMATCH = 1060810,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_UNDER_MAINTENANCE = 1060811,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_UNSUPPORTED_VERSION = 1060812,
		ERROR_CODE_NEX_DESCRIPTION_AUTHENTICATION_SERVER_VERSION_IS_OLD = 1060813,
		ERROR_CODE_NEX_SYSTEMERROR_FACADE_NOT_INITIALIZED = 1060901,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_NOT_ENOUGH_MEM = 1060902,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_ILLEGAL_ACCESS = 1060903,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_WIN32_ERROR = 1060904,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_INDEX_OOB = 1060905,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_DUPLICATED_KEY = 1060906,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_ITEM_NOT_DELETED = 1060907,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_ITEM_NOT_FOUND = 1060908,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_END_OF_COLLECTION = 1060909,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_OBJ_NOT_INIT = 1060910,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_NOT_IMPLEMENTED = 1060911,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_OUT_OF_ID = 1060912,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_INTERNAL = 1060913,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_TIMEOUT = 1060914,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_CHILDPROCESS_FAILED = 1060915,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_INVALID_OPERATION = 1060916,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_MULTIPLE_INSTANCES = 1060917,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_MULTIPLE_EXCEPTION_HANDLER = 1060918,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_EXPIRED = 1060919,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_OUT_OF_RANGE = 1060920,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_ASSERTION_FAILED = 1060921,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_DEADLOCK_DETECTED = 1060922,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_NOT_INITIALIZED = 1060923,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_INVALID_PARAMETER = 1060924,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_IO_ERROR = 1060925,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_INVALID_PRODUCT_KEY = 1060926,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_BUFFER_EXTRACTION_OVERFLOW = 1060927,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_INVALID_WAIT = 1060928,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_ACCESS_DENIED = 1060929,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_OP_DENIED = 1060930,
		ERROR_CODE_NEX_SYSTEMERROR_GEN_INVALID_OPERATION_WARNING = 1060931,
		ERROR_CODE_NEX_SYSTEMERROR_TRANSPORT_SOCKET_SEND_WARNING = 1060936,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_INVALID_ON_DUPLICA = 1060951,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_INVALID_ON_MASTER = 1060952,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_INVALID_PROPERTY_TRANSITION = 1060953,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_UNDEFINED_CALLBACK = 1060954,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_DO_NOT_FOUND = 1060955,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_INVALID_PARAMETER = 1060956,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_CANNOT_EMIGRATE = 1060957,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_INVALID_CONSTRUCTION = 1060958,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_ALREADY_PUBLISHED = 1060959,
		ERROR_CODE_NEX_SYSTEMERROR_MISSING_DATASET_CALLBACK = 1060960,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_WKHANDLE_NOT_INITIALIZED = 1060961,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_WKHANDLE_WERE_CREATED = 1060962,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_MISMATCHED_DOCLASS = 1060963,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_WKHANDLE_EXISTS = 1060964,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_CANNOT_PUBLISH = 1060965,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_STATION_NOT_FOUND = 1060966,
		ERROR_CODE_NEX_SYSTEMERROR_DC_CLUSTER_REDEFINITION = 1060967,
		ERROR_CODE_NEX_SYSTEMERROR_DC_CLUSTER_JOIN_DENIED = 1060968,
		ERROR_CODE_NEX_SYSTEMERROR_DC_CLUSTER_JOIN_FAILED = 1060969,
		ERROR_CODE_NEX_SYSTEMERROR_DC_MISMATCHED_BARRIER_ID = 1060970,
		ERROR_CODE_NEX_SYSTEMERROR_DC_BARRIER_TIMEOUT = 1060971,
		ERROR_CODE_NEX_SYSTEMERROR_DC_CLUSTER_NOT_INITIALIZED = 1060972,
		ERROR_CODE_NEX_SYSTEMERROR_DC_NOT_CLUSTER_MASTER = 1060973,
		ERROR_CODE_NEX_SYSTEMERROR_DC_INVALID_STATE_TRANSITION = 1060974,
		ERROR_CODE_NEX_SYSTEMERROR_DC_CLUSTER_ALREADY_INITIALIZED = 1060975,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_TRANSPORT_NOT_FOUND = 1060976,
		ERROR_CODE_NEX_SYSTEMERROR_OBJDUP_RELIABLE_SEND_WARNING = 1060978,
		ERROR_CODE_NEX_DESCRIPTION_OUT_OF_BOUNDARY = 1061001,
		ERROR_CODE_NEX_DESCRIPTION_DUPLICATED_KEY = 1061002,
		ERROR_CODE_NEX_DESCRIPTION_ITEM_NOT_FOUND = 1061003,
		ERROR_CODE_NEX_DESCRIPTION_END_OF_COLLECTION = 1061004,
		ERROR_CODE_NEX_DESCRIPTION_OBJ_NOT_INIT = 1061005,
		ERROR_CODE_NEX_DESCRIPTION_NOT_IMPLEMENTED = 1061006,
		ERROR_CODE_NEX_DESCRIPTION_TIMEOUT = 1061007,
		ERROR_CODE_NEX_DESCRIPTION_INVALID_OPERATION = 1061009,
		ERROR_CODE_NEX_DESCRIPTION_MULTIPLE_INSTANCES = 1061010,
		ERROR_CODE_NEX_DESCRIPTION_OUT_OF_RANGE = 1061012,
		ERROR_CODE_NEX_DESCRIPTION_INVALID_PARAMETER = 1061013,
		ERROR_CODE_NEX_DESCRIPTION_BUFFER_EXTRACTION_OVERFLOW = 1061015,
		ERROR_CODE_NEX_DESCRIPTION_INVALID_WAIT = 1061016,
		ERROR_CODE_NEX_DESCRIPTION_ACCESS_DENIED = 1061017,
		ERROR_CODE_NEX_DESCRIPTION_ROLE_MISMATCH = 1061020,
		ERROR_CODE_NEX_DESCRIPTION_INVALID_OPERATION_WARNING = 1061021,
		ERROR_CODE_NEX_DESCRIPTION_RELIEABLE_SEND_WARNING = 1061023,
		ERROR_CODE_NEX_DESCRIPTION_OBJDUP_DO_NOT_FOUND = 1061024,
		ERROR_CODE_NEX_DESCRIPTION_OUT_OF_MEMORY = 1061026,
		ERROR_CODE_NEX_DESCRIPTION_SOCKET_SEND_WARNING = 1061027,
		ERROR_CODE_NEX_DESCRIPTION_INVALID_NEW_STATION = 1061028,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_NOT_INITIALIZED = 1061101,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_INVALID_ARGUMENT = 1061102,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_REGISTRATION_ERROR = 1061103,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_NOT_FOUND = 1061105,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_INVALID_SCORE = 1061106,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_INVALID_DATA_SIZE = 1061107,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_PERMISSION_DENIED = 1061109,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_UNKNOWN = 1061110,
		ERROR_CODE_NEX_DESCRIPTION_RANKING_NOT_IMPLEMENTED = 1061111,
		ERROR_CODE_NEX_DATA_STORE_UNKNOWN_ERROR = 1061201,
		ERROR_CODE_NEX_DATA_STORE_INVALID_ARGUMENT = 1061202,
		ERROR_CODE_NEX_DATA_STORE_NO_ACCESS_RIGHTS = 1061203,
		ERROR_CODE_NEX_DATA_STORE_ID_NOT_FOUND = 1061204,
		ERROR_CODE_NEX_DATA_STORE_OBJECT_UNDER_REVIEW = 1061206,
		ERROR_CODE_NEX_DATA_STORE_OBJECT_EXPIRED = 1061207,
		ERROR_CODE_NEX_DATA_STORE_INVALID_CHECK_TOKEN = 1061208,
		ERROR_CODE_NEX_DATA_STORE_SYS_FILE_LOAD_FAIL = 1061209,
		ERROR_CODE_NEX_DATA_STORE_BATCH_PROCESS_COUNT_EXCEEDED = 1061210,
		ERROR_CODE_NEX_DATA_STORE_OPERATION_NOT_ALLOWED = 1061211,
		ERROR_CODE_NEX_DATA_STORE_VALUE_DOES_NOT_MATCH = 1061213,
		ERROR_CODE_ESHOP_REST_AUTHORIZATION_HEADER_REQUIRED = 1093501,
		ERROR_CODE_ESHOP_REST_TITLE_CODE_AUTH_FAILED = 1093502,
		ERROR_CODE_ESHOP_REST_UNAUTHORIZED_TITLE_ACCESS = 1093503,
		ERROR_CODE_ESHOP_REST_TITLE_CODE_REQUIRED = 1093510,
		ERROR_CODE_ESHOP_REST_INVALID_TITLE_CODE = 1093511,
		ERROR_CODE_ESHOP_REST_PRINCIPAL_ID_REQUIRED = 1093512,
		ERROR_CODE_ESHOP_REST_INVALID_PRINCIPAL_ID = 1093513,
		ERROR_CODE_ESHOP_REST_ITEM_CODE_REQUIRED = 1093514,
		ERROR_CODE_ESHOP_REST_INVALID_ITEM_CODE = 1093515,
		ERROR_CODE_ESHOP_REST_PRICE_ID_REQUIRED = 1093516,
		ERROR_CODE_ESHOP_REST_INVALID_PRICE_ID = 1093517,
		ERROR_CODE_ESHOP_REST_REFERENCE_ID_REQUIRED = 1093518,
		ERROR_CODE_ESHOP_REST_INVALID_REFERENCE_ID = 1093519,
		ERROR_CODE_ESHOP_REST_BALANCE_REQUIRED = 1093520,
		ERROR_CODE_ESHOP_REST_INVALID_BALANCE = 1093521,
		ERROR_CODE_ESHOP_REST_ITEM_NAME_REQUIRED = 1093522,
		ERROR_CODE_ESHOP_REST_INVALID_ITEM_NAME = 1093523,
		ERROR_CODE_ESHOP_REST_EC_SERVICE_TOKEN_REQUIRED = 1093524,
		ERROR_CODE_ESHOP_REST_INVALID_EC_SERVICE_TOKEN = 1093525,
		ERROR_CODE_ESHOP_REST_INVALID_LANG_CODE = 1093526,
		ERROR_CODE_ESHOP_REST_INVALID_OFFSET = 1093527,
		ERROR_CODE_ESHOP_REST_INVALID_LIMIT = 1093528,
		ERROR_CODE_ESHOP_REST_SIGNATURE_REQUIRED = 1093529,
		ERROR_CODE_ESHOP_REST_TITLE_NOT_EXIST = 1093530,
		ERROR_CODE_ESHOP_REST_TITLE_NOT_AVAILABLE = 1093531,
		ERROR_CODE_ESHOP_REST_ITEM_NOT_EXIST = 1093532,
		ERROR_CODE_ESHOP_REST_DECRIPT_EC_TOKEN_FAILED = 1093533,
		ERROR_CODE_ESHOP_REST_EC_TOKEN_EXPIRED = 1093534,
		ERROR_CODE_ESHOP_REST_VERIFY_SIGNATURE_FAILED = 1093535,
		ERROR_CODE_ESHOP_REST_NO_AVAILABLE_PRICING = 1093536,
		ERROR_CODE_ESHOP_REST_UNSUPPORTED_LANG_CODE = 1093537,
		ERROR_CODE_ESHOP_REST_PRICE_ID_EXPIRED = 1093538,
		ERROR_CODE_ESHOP_REST_EXT_TRANSACTION_ID_REQUIRED = 1093539,
		ERROR_CODE_ESHOP_REST_INVALID_EXT_TRANSACTION_ID = 1093540,
		ERROR_CODE_ESHOP_REST_EC_TOKEN_PID_UNMATCH = 1093541,
		ERROR_CODE_ESHOP_REST_ACCOUNT_NOT_REGISTERED = 1093550,
		ERROR_CODE_ESHOP_REST_TAX_LOCATION_ID_NOT_REGISTERED = 1093551,
		ERROR_CODE_ESHOP_REST_INVALID_TAX_LOCATION_ID_REGISTERED = 1093552,
		ERROR_CODE_ESHOP_REST_NOT_ENOUGH_BALANCE = 1093553,
		ERROR_CODE_ESHOP_REST_CURRENT_BALANCE_NOT_MATCH = 1093554,
		ERROR_CODE_ECS_ITEM_ALREADY_PURCHASED = 1096626,
		ERROR_CODE_ECS_EXCEEDS_SERVICE_CAP = 1096634,
		ERROR_CODE_ECS_NEW_TICKET_ONLY = 1096635,
		ERROR_CODE_ECS_REFID_ERROR = 1096678,
		ERROR_CODE_ESHOP_REST_INTERNAL_SERVER_ERROR = 1093560,
		ERROR_CODE_ESHOP_REST_NNAS_ACCESS_ERROR = 1093561,
		ERROR_CODE_ESHOP_REST_AKINDO_UNEXPECTED_LOAD_ERROR = 1093697,
		ERROR_CODE_ESHOP_REST_AKINDO_MAINTENANCE = 1093698,
		ERROR_CODE_ESHOP_REST_AKINDO_SEVICE_CLOSED = 1093699,
		ERROR_CODE_ECOMMERCE_APPLET_TASK_MUST_FINISH_INSTALL = 1231000,
		ERROR_CODE_ECOMMERCE_APPLET_TASK_STATE_ERROR = 1231001,
		ERROR_CODE_ECOMMERCE_APPLET_TASK_VERSION_OLD = 1231002,
		ERROR_CODE_ECOMMERCE_APPLET_TASK_IS_FULL = 1231003,
		ERROR_CODE_ECOMMERCE_APPLET_CONTENT_ALREADY_INSTALLED = 1231004,
		ERROR_CODE_ECOMMERCE_APPLET_STORAGE_FULL = 1231010,
		ERROR_CODE_ECOMMERCE_APPLET_EXCEED_MAX_CASH = 1231011,
		ERROR_CODE_ECOMMERCE_APPLET_REDEEMABLE_ITEM_NOT_FOUND = 1231100,
		ERROR_CODE_ECOMMERCE_APPLET_REDEEMABLE_ITEM_TOO_MANY = 1231101,
		ERROR_CODE_ECOMMERCE_APPLET_REDEEMABLE_ITEM_ALREADY_HAVE_RIGHT = 1231102,
		ERROR_CODE_ECOMMERCE_APPLET_ERROR_CODE_REDEEMABLE_ITEM_WRONG_PAIR = 1231103,
		ERROR_CODE_ECOMMERCE_APPLET_UPDATE_DATATITLE_NONE = 1231200,
		ERROR_CODE_ECOMMERCE_APPLET_UPDATE_DATATITLE_TOO_MANY_UPDATES = 1231201,
		ERROR_CODE_ECOMMERCE_APPLET_UPDATE_DATATITLE_TASK_VERSION_OLD = 1231202,
		ERROR_CODE_ECOMMERCE_APPLET_BALANCE_NO_ADD_METHOD = 1231300,
		ERROR_CODE_ECOMMERCE_APPLET_BALANCE_EXCEED_MAX_CASH = 1231301,
		ERROR_CODE_ECOMMERCE_APPLET_CC_INVALID_CARD = 1231310,
		ERROR_CODE_ECOMMERCE_APPLET_CC_TWO_PASSWORD_NOT_MATCH = 1231311,
		ERROR_CODE_ECOMMERCE_APPLET_CC_PASSWORD_IS_SAME_STRING = 1231312,
		ERROR_CODE_ECOMMERCE_APPLET_NFC_REQUEST_FAILED = 1231320,
		ERROR_CODE_ECOMMERCE_APPLET_NFC_GAMEPAD_NOT_CONNECTED = 1231321,
		ERROR_CODE_ECOMMERCE_APPLET_NFC_INITIALIZE_FAILED = 1231322,
		ERROR_CODE_ECOMMERCE_APPLET_NFC_GW_SERVER_UNDER_MAINTENANCE = 1231323,
		ERROR_CODE_ECOMMERCE_APPLET_NFC_GW_SERVER_NETWORK_ERROR = 1231324,
		ERROR_CODE_ECOMMERCE_APPLET_SPM_EXT_STORAGE_NOT_RESOLVED = 1239000,
		ERROR_CODE_ECOMMERCE_APPLET_SPM_GET_STORAGEINFO_FAILE = 1239001,
		ERROR_CODE_ECOMMERCE_APPLET_FS_NOT_FOUND = 1239002,
		ERROR_CODE_ECOMMERCE_APPLET_FS_PERMISSION_ERROR = 1239003,
		ERROR_CODE_ECOMMERCE_APPLET_FS_UNKNOWN = 1239004,
		ERROR_CODE_ECOMMERCE_APPLET_ACP_ERROR = 1239005,
		ERROR_CODE_ECOMMERCE_APPLET_VCTL_UNKNOWN = 1239006,
		ERROR_CODE_ECOMMERCE_APPLET_DATATITLE_CANNOT_LOCK = 1239007,
		ERROR_CODE_ECOMMERCE_APPLET_NEEDS_NETWORK_UPDATE = 1239008,
		ERROR_CODE_ECOMMERCE_INVALID_COUNTRY = 1240001,
		ERROR_CODE_ECOMMERCE_INVALID_LANGUAGE = 1240002,
		ERROR_CODE_ECOMMERCE_INVALID_META = 1240003,
		ERROR_CODE_ECOMMERCE_INTERNAL_ERROR_SYSAPP = 1240051,
		ERROR_CODE_ECOMMERCE_INTERNAL_ERROR_MCP_HANDLE = 1240061,
		ERROR_CODE_ECOMMERCE_INTERNAL_ERROR_MCP_TITLE_VERSION = 1240062,
		ERROR_CODE_ECOMMERCE_INTERNAL_ERROR_MCP_CONTENT = 1240063,
		ERROR_CODE_ECOMMERCE_INTERNAL_ERROR_MCP_TICKET = 1240066,
		ERROR_CODE_ECOMMERCE_INTERNAL_ERROR_AOC_TITLE_INFO = 1240071,
		ERROR_CODE_ECOMMERCE_INTERNAL_ERROR_OTHER = 1240099,
		ERROR_CODE_ECOMMERCE_NOT_INITIALIZED = 1240101,
		ERROR_CODE_ECOMMERCE_NOT_LOGGED_IN = 1240102,
		ERROR_CODE_ECOMMERCE_NOT_IN_FOREGROUND = 1240103,
		ERROR_CODE_ECOMMERCE_ALREADY_INITIALIZED = 1240111,
		ERROR_CODE_ECOMMERCE_INVALID_ARGUMENT = 1240121,
		ERROR_CODE_ECOMMERCE_INVALID_MODULE = 1240122,
		ERROR_CODE_ECOMMERCE_INVALID_SESSION = 1240123,
		ERROR_CODE_ECOMMERCE_INVALID_DATA = 1240124,
		ERROR_CODE_ECOMMERCE_OUT_OF_MEMORY = 1240131,
		ERROR_CODE_ECOMMERCE_OUT_OF_REQUEST_BUFFER = 1240132,
		ERROR_CODE_ECOMMERCE_NOT_FOUND = 1240201,
		ERROR_CODE_ECOMMERCE_NOT_CONNECTED = 1240202,
		ERROR_CODE_ECOMMERCE_CANCELED = 1240211,
		ERROR_CODE_ECOMMERCE_EXCLUDED = 1240212,
		ERROR_CODE_ECOMMERCE_ESHOP_NOT_INITIALIZED = 1240221,
		ERROR_CODE_ECOMMERCE_NEEDS_NETWORK_UPDATE = 1240222,
		ERROR_CODE_ECOMMERCE_NOT_IN_SERVICE = 1240223,
		ERROR_CODE_ECOMMERCE_NOT_REDEEMABLE_ITEM_DOWNLOAD_CODE = 1240241,
		ERROR_CODE_ECOMMERCE_ITEM_DOWNLOAD_CODE = 1240242,
		ERROR_CODE_ECOMMERCE_CASH_DOWNLOAD_CODE = 1240243,
		ERROR_CODE_ECOMMERCE_TITLE_DOWNLOAD_CODE = 1240244,
		ERROR_CODE_ECOMMERCE_OTHER_PLATFORM_DOWNLOAD_CODE = 1240249,
		ERROR_CODE_ECOMMERCE_ITEM_UNIQUE_ID_MISMATCH = 1240251,
		ERROR_CODE_ECOMMERCE_ITEM_NOT_PURCHASED = 1240252,
		ERROR_CODE_ECOMMERCE_ITEM_ALREADY_PURCHASED = 1240253,
		ERROR_CODE_ECOMMERCE_ITEM_PARTIALLY_PURCHASED = 1240254,
		ERROR_CODE_ECOMMERCE_ITEM_UNRELEASED = 1240258,
		ERROR_CODE_ECOMMERCE_ITEM_NOT_SOLD = 1240259,
		ERROR_CODE_ECOMMERCE_ITEM_ALREADY_INSTALLED = 1240260,
		ERROR_CODE_ECOMMERCE_ITEM_NOT_REDEEMABLE = 1240261,
		ERROR_CODE_ECOMMERCE_SHOPPING_CART_FULL = 1240271,
		ERROR_CODE_ECOMMERCE_SHOPPING_CART_ALREADY_ADDED = 1240272,
		ERROR_CODE_ECOMMERCE_SHOPPING_CART_PARTIALLY_ADDED = 1240273,
		ERROR_CODE_ECOMMERCE_DOWNLOAD_CART_FULL = 1240281,
		ERROR_CODE_ECOMMERCE_DOWNLOAD_CART_ALREADY_ADDED = 1240282,
		ERROR_CODE_ECOMMERCE_INVALID_XML = 1240301,
		ERROR_CODE_ECOMMERCE_INVALID_RESPONSE = 1240302,
		ERROR_CODE_ECOMMERCE_UNDER_MAINTENANCE = 1240303,
		ERROR_CODE_ECOMMERCE_SERVICE_CLOSED = 1240304,
		ERROR_CODE_ECOMMERCE_UNEXPECTED_RESPONSE = 1240399,
		ERROR_CODE_ECOMMERCE_CURL_UNSUPPORTED_PROTOCOL = 1241001,
		ERROR_CODE_ECOMMERCE_CURL_FAILED_INIT = 1241002,
		ERROR_CODE_ECOMMERCE_CURL_URL_MALFORMAT = 1241003,
		ERROR_CODE_ECOMMERCE_CURL_NOT_BUILT_IN = 1241004,
		ERROR_CODE_ECOMMERCE_CURL_COULDNT_RESOLVE_PROXY = 1241005,
		ERROR_CODE_ECOMMERCE_CURL_COULDNT_RESOLVE_HOST = 1241006,
		ERROR_CODE_ECOMMERCE_CURL_COULDNT_CONNECT = 1241007,
		ERROR_CODE_ECOMMERCE_CURL_REMOTE_ACCESS_DENIED = 1241009,
		ERROR_CODE_ECOMMERCE_CURL_PARTIAL_FILE = 1241018,
		ERROR_CODE_ECOMMERCE_CURL_QUOTE_ERROR = 1241021,
		ERROR_CODE_ECOMMERCE_CURL_HTTP_RETURNED_ERROR = 1241022,
		ERROR_CODE_ECOMMERCE_CURL_WRITE_ERROR = 1241023,
		ERROR_CODE_ECOMMERCE_CURL_UPLOAD_FAILED = 1241025,
		ERROR_CODE_ECOMMERCE_CURL_READ_ERROR = 1241026,
		ERROR_CODE_ECOMMERCE_CURL_OUT_OF_MEMORY = 1241027,
		ERROR_CODE_ECOMMERCE_CURL_OPERATION_TIMEDOUT = 1241028,
		ERROR_CODE_ECOMMERCE_CURL_RANGE_ERROR = 1241033,
		ERROR_CODE_ECOMMERCE_CURL_HTTP_POST_ERROR = 1241034,
		ERROR_CODE_ECOMMERCE_CURL_SSL_CONNECT_ERROR = 1241035,
		ERROR_CODE_ECOMMERCE_CURL_BAD_DOWNLOAD_RESUME = 1241036,
		ERROR_CODE_ECOMMERCE_CURL_FILE_COULDNT_READ_FILE = 1241037,
		ERROR_CODE_ECOMMERCE_CURL_FUNCTION_NOT_FOUND = 1241041,
		ERROR_CODE_ECOMMERCE_CURL_ABORTED_BY_CALLBACK = 1241042,
		ERROR_CODE_ECOMMERCE_CURL_BAD_FUNCTION_ARGUMENT = 1241043,
		ERROR_CODE_ECOMMERCE_CURL_INTERFACE_FAILED = 1241045,
		ERROR_CODE_ECOMMERCE_CURL_TOO_MANY_REDIRECTS = 1241047,
		ERROR_CODE_ECOMMERCE_CURL_UNKNOWN_OPTION = 1241048,
		ERROR_CODE_ECOMMERCE_CURL_PEER_FAILED_VERIFICATION = 1241051,
		ERROR_CODE_ECOMMERCE_CURL_GOT_NOTHING = 1241052,
		ERROR_CODE_ECOMMERCE_CURL_SSL_ENGINE_NOTFOUND = 1241053,
		ERROR_CODE_ECOMMERCE_CURL_SSL_ENGINE_SETFAILED = 1241054,
		ERROR_CODE_ECOMMERCE_CURL_SEND_ERROR = 1241055,
		ERROR_CODE_ECOMMERCE_CURL_RECV_ERROR = 1241056,
		ERROR_CODE_ECOMMERCE_CURL_SSL_CERTPROBLEM = 1241058,
		ERROR_CODE_ECOMMERCE_CURL_SSL_CIPHER = 1241059,
		ERROR_CODE_ECOMMERCE_CURL_SSL_CACERT = 1241060,
		ERROR_CODE_ECOMMERCE_CURL_BAD_CONTENT_ENCODING = 1241061,
		ERROR_CODE_ECOMMERCE_CURL_CONV_FAILED = 1241075,
		ERROR_CODE_ECOMMERCE_CURL_CONV_REQD = 1241076,
		ERROR_CODE_ECOMMERCE_CURL_SSL_CACERT_BADFILE = 1241077,
		ERROR_CODE_ECOMMERCE_CURL_REMOTE_FILE_NOT_FOUND = 1241078,
		ERROR_CODE_ECOMMERCE_CURL_SSH = 1241079,
		ERROR_CODE_ECOMMERCE_CURL_SSL_SHUTDOWN_FAILED = 1241080,
		ERROR_CODE_ECOMMERCE_CURL_AGAIN = 1241081,
		ERROR_CODE_ECOMMERCE_CURL_SSL_CRL_BADFILE = 1241082,
		ERROR_CODE_ECOMMERCE_CURL_SSL_ISSUER_ERROR = 1241083,
		ERROR_CODE_ECOMMERCE_CURL_RTSP_CSEQ_ERROR = 1241085,
		ERROR_CODE_ECOMMERCE_CURL_RTSP_SESSION_ERROR = 1241086,
		ERROR_CODE_ECOMMERCE_CURL_CHUNK_FAILED = 1241088,
		ERROR_CODE_ECOMMERCE_CURL_NSSL_NO_CTX = 1241089,

		FATAL,
	};


#endif//ERROR_CODES_H
